Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.tree
Class SyncMappedTable

    java.lang.Object
      javax.swing.table.AbstractTableModel
          javax.swing.table.DefaultTableModel
              de.grogra.pf.ui.tree.SyncMappedTable

All Implemented Interfaces:
  Synchronizer.Callback, java.io.Serializable, java.util.EventListener, javax.swing.event.TableModelListener, javax.swing.table.TableModel

    public class SyncMappedTable

extends javax.swing.table.DefaultTableModel
implements Synchronizer.Callback, javax.swing.event.TableModelListener

See Also:
  Serialized Form

Field Summary
`protected ObjectList` | `columnClasses`
`protected Context` | `context`
`protected javax.swing.table.TableModel` | `source`
`protected Synchronizer` | `sync`

Fields inherited from class javax.swing.table.DefaultTableModel
`columnIdentifiers, dataVector`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`SyncMappedTable(javax.swing.table.TableModel source, Synchronizer sync, Context ctx)`

Method Summary
`void` | `addTableModelListener(javax.swing.event.TableModelListener l)`
`java.lang.Class` | `getColumnClass(int column)`
`boolean` | `isCellEditable(int row, int column)`
`void` | `removeTableModelListener(javax.swing.event.TableModelListener l)`
`java.lang.Object` | `run(int action, int iarg, java.lang.Object oarg1, java.lang.Object oarg2)`
`void` | `setValueAt(java.lang.Object value, int row, int column)`
`void` | `tableChanged(javax.swing.event.TableModelEvent e)`
`protected void` | `tableChangedSync(javax.swing.event.TableModelEvent e)`

Methods inherited from class javax.swing.table.DefaultTableModel
`addColumn, addColumn, addColumn, addRow, addRow, convertToVector, convertToVector, getColumnCount, getColumnName, getDataVector, getRowCount, getValueAt, insertRow, insertRow, moveRow, newDataAvailable, newRowsAdded, removeRow, rowsRemoved, setColumnCount, setColumnIdentifiers, setColumnIdentifiers, setDataVector, setDataVector, setNumRows, setRowCount`

Methods inherited from class javax.swing.table.AbstractTableModel
`findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### columnClasses

    protected final ObjectList columnClasses

### context

    protected final Context context

### source

    protected final javax.swing.table.TableModel source

### sync

    protected final Synchronizer sync

Constructor Detail

### SyncMappedTable

    public SyncMappedTable(javax.swing.table.TableModel source,
                           Synchronizer sync,
                           Context ctx)

Method Detail

### addTableModelListener

    public void addTableModelListener(javax.swing.event.TableModelListener l)

  Specified by:
    `addTableModelListener` in interface `javax.swing.table.TableModel`
  Overrides:
    `addTableModelListener` in class `javax.swing.table.AbstractTableModel`

### getColumnClass

    public java.lang.Class getColumnClass(int column)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnClass` in class `javax.swing.table.AbstractTableModel`

### isCellEditable

    public boolean isCellEditable(int row,
                                  int column)

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`
  Overrides:
    `isCellEditable` in class `javax.swing.table.DefaultTableModel`

### removeTableModelListener

    public void removeTableModelListener(javax.swing.event.TableModelListener l)

  Specified by:
    `removeTableModelListener` in interface `javax.swing.table.TableModel`
  Overrides:
    `removeTableModelListener` in class `javax.swing.table.AbstractTableModel`

### run

    public java.lang.Object run(int action,
                                int iarg,
                                java.lang.Object oarg1,
                                java.lang.Object oarg2)

  Specified by:
    `run` in interface `Synchronizer.Callback`

### setValueAt

    public void setValueAt(java.lang.Object value,
                           int row,
                           int column)

  Specified by:
    `setValueAt` in interface `javax.swing.table.TableModel`
  Overrides:
    `setValueAt` in class `javax.swing.table.DefaultTableModel`

### tableChanged

    public void tableChanged(javax.swing.event.TableModelEvent e)

  Specified by:
    `tableChanged` in interface `javax.swing.event.TableModelListener`

### tableChangedSync

    protected void tableChangedSync(javax.swing.event.TableModelEvent e)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD